D:
md sql
del D:\\sql\\sql.sql

echo use master >> D:\\sql\\sql.sql
echo go

echo if exists (select * from sys.databases where name='knowledege') >> D:\\sql\\sql.sql
echo	drop database knowledege >> D:\\sql\\sql.sql
echo go >> D:\\sql\\sql.sql

echo create database knowledege >> D:\\sql\\sql.sql
echo	on primary( >> D:\\sql\\sql.sql
echo		name='knowledege1_data', >> D:\\sql\\sql.sql
echo		filename='D:\\sql\\knowledege1_data.mdf', >> D:\\sql\\sql.sql
echo		size=3MB, >> D:\\sql\\sql.sql
echo		maxsize=unlimited >> D:\\sql\\sql.sql
echo	) >> D:\\sql\\sql.sql
echo	log on( >> D:\\sql\\sql.sql
echo		name='knowledege1_log', >> D:\\sql\\sql.sql
echo		filename='D:\\sql\\knowledege1_log.ldf', >> D:\\sql\\sql.sql
echo		size=5MB, >> D:\\sql\\sql.sql
echo		maxsize=unlimited >> D:\\sql\\sql.sql
echo	) >> D:\\sql\\sql.sql
echo GO >> D:\\sql\\sql.sql

echo use knowledege >> D:\\sql\\sql.sql
echo go >> D:\\sql\\sql.sql


echo create table dir( >> D:\\sql\\sql.sql
echo	id int identity(1,1) primary key not null,--dirid >> D:\\sql\\sql.sql
echo	name nchar(30) not null default '',--目录名字 >> D:\\sql\\sql.sql
echo	pid int not null default 0 --父级dirid  >> D:\\sql\\sql.sql
echo ) >> D:\\sql\\sql.sql
echo GO >> D:\\sql\\sql.sql

echo create table [file]( >> D:\\sql\\sql.sql
echo	id int identity(1,1) primary key not null,--file id >> D:\\sql\\sql.sql
echo	name nvarchar(15) not null default '',--文件名 >> D:\\sql\\sql.sql
echo	content char(15) not null default '',--文件内容 >> D:\\sql\\sql.sql
echo	gimage int not null default 0,--文件分类id >> D:\\sql\\sql.sql
echo	did int not null default 0 --所属目录id >> D:\\sql\\sql.sql
echo ) >> D:\\sql\\sql.sql
echo GO >> D:\\sql\\sql.sql


osql -U sa -P 123456 -i D:\\sql\\sql.sql

del sql\\sql.sql